org.jboss.resteasy.skeleton.key.representations

## Class SkeletonKeyToken

- java.lang.Object
- - org.jboss.resteasy.jwt.JsonWebToken
  - - org.jboss.resteasy.skeleton.key.representations.SkeletonKeyToken

- All Implemented Interfaces:
    Serializable

      public class SkeletonKeyToken
      extends JsonWebToken

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SkeletonKeyToken.Access`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SkeletonKeyToken.Access` | `realmAccess`
    `protected Map<String,SkeletonKeyToken.Access>` | `resourceAccess`
    `protected Set<String>` | `trustedCertificates`

    - ### Fields inherited from class org.jboss.resteasy.jwt.JsonWebToken

      `audience, expiration, id, issuedAt, issuer, notBefore, principal, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkeletonKeyToken()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SkeletonKeyToken.Access` | `addAccess(String service)`
    `SkeletonKeyToken` | `audience(String audience)`
    `SkeletonKeyToken` | `expiration(long expiration)`
    `SkeletonKeyToken.Access` | `getRealmAccess()`
    `Map<String,SkeletonKeyToken.Access>` | `getResourceAccess()`
    `SkeletonKeyToken.Access` | `getResourceAccess(String resource)`
    `Set<String>` | `getTrustedCertificates()`
    `SkeletonKeyToken` | `id(String id)`
    `SkeletonKeyToken` | `issuedAt(long issuedAt)`
    `SkeletonKeyToken` | `issuer(String issuer)`
    `boolean` | `isVerifyCaller()` Does the realm require verifying the caller?
    `boolean` | `isVerifyCaller(String resource)` Does the resource override the requirement of verifying the caller?
    `SkeletonKeyToken` | `notBefore(long notBefore)`
    `SkeletonKeyToken` | `principal(String principal)`
    `void` | `setRealmAccess(SkeletonKeyToken.Access realmAccess)`
    `void` | `setTrustedCertificates(Set<String> trustedCertificates)`
    `SkeletonKeyToken` | `type(String type)`

    - ### Methods inherited from class org.jboss.resteasy.jwt.JsonWebToken

      `getAudience, getExpiration, getId, getIssuedAt, getIssuer, getNotBefore, getPrincipal, getType, isActive, isExpired, isNotBefore, issuedNow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### trustedCertificates

          protected Set<String> trustedCertificates

    - #### realmAccess

          protected SkeletonKeyToken.Access realmAccess

    - #### resourceAccess

          protected Map<String,SkeletonKeyToken.Access> resourceAccess

  - ### Constructor Detail

    - #### SkeletonKeyToken

          public SkeletonKeyToken()

  - ### Method Detail

    - #### getResourceAccess

          public Map<String,SkeletonKeyToken.Access> getResourceAccess()

    - #### isVerifyCaller

          public boolean isVerifyCaller()

      Does the realm require verifying the caller?
      Returns:

    - #### isVerifyCaller

          public boolean isVerifyCaller(String resource)

      Does the resource override the requirement of verifying the caller?
      Parameters:
        `resource` -
      Returns:

    - #### getResourceAccess

          public SkeletonKeyToken.Access getResourceAccess(String resource)

    - #### addAccess

          public SkeletonKeyToken.Access addAccess(String service)

    - #### id

          public SkeletonKeyToken id(String id)

      Overrides:
        `id` in class `JsonWebToken`

    - #### expiration

          public SkeletonKeyToken expiration(long expiration)

      Overrides:
        `expiration` in class `JsonWebToken`

    - #### notBefore

          public SkeletonKeyToken notBefore(long notBefore)

      Overrides:
        `notBefore` in class `JsonWebToken`

    - #### issuedAt

          public SkeletonKeyToken issuedAt(long issuedAt)

      Overrides:
        `issuedAt` in class `JsonWebToken`

    - #### issuer

          public SkeletonKeyToken issuer(String issuer)

      Overrides:
        `issuer` in class `JsonWebToken`

    - #### audience

          public SkeletonKeyToken audience(String audience)

      Overrides:
        `audience` in class `JsonWebToken`

    - #### principal

          public SkeletonKeyToken principal(String principal)

      Overrides:
        `principal` in class `JsonWebToken`

    - #### type

          public SkeletonKeyToken type(String type)

      Overrides:
        `type` in class `JsonWebToken`

    - #### getRealmAccess

          public SkeletonKeyToken.Access getRealmAccess()

    - #### setRealmAccess

          public void setRealmAccess(SkeletonKeyToken.Access realmAccess)

    - #### getTrustedCertificates

          public Set<String> getTrustedCertificates()

    - #### setTrustedCertificates

          public void setTrustedCertificates(Set<String> trustedCertificates)

Copyright © 2014. All Rights Reserved.